<?php

namespace Drupal\academic_marksheet\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Link;
use Drupal\Core\Url;

/**
 *
 */
class StudentListingController extends ControllerBase {

  /**
   *
   */
  public function studentListingPage() {
    // Query to get all students.
    $query = \Drupal::database()->select('student_details', 's')
      ->fields('s', ['id', 'student_name'])
      ->execute()
      ->fetchAll();

    $rows = [];
    foreach ($query as $student) {
      // Create the URLs for view, update, and delete.
      $view_url = Url::fromRoute('student_result.page', ['student_id' => $student->id]);
      $update_url = Url::fromRoute('student_update.page', ['student_id' => $student->id]);
      $delete_url = Url::fromRoute('student_delete.page', ['student_id' => $student->id]);

      // Create the links using the Link class.
      $view_link = Link::fromTextAndUrl($this->t('View'), $view_url)->toString();
      $update_link = Link::fromTextAndUrl($this->t('Update'), $update_url)->toString();
      $delete_link = Link::fromTextAndUrl($this->t('Delete'), $delete_url)->toString();

      $rows[] = [
        'student_name' => $student->student_name,
        'view' => $view_link,
        'update' => $update_link,
        'delete' => $delete_link,
      ];
    }

    $build = [
      '#theme' => 'table',
      '#header' => [$this->t('Student Name'), $this->t('View Result'), $this->t('Update'), $this->t('Delete')],
      '#rows' => $rows,
    ];

    return $build;
  }

}
