<?php

namespace Drupal\academic_marksheet\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 *
 */
class StudentDeleteForm extends FormBase {

  protected $studentId;

  /**
   *
   */
  public function getFormId() {
    return 'student_delete_form';
  }

  /**
   *
   */
  public function buildForm(array $form, FormStateInterface $form_state, $student_id = NULL) {
    $this->studentId = $student_id;

    $form['confirm'] = [
      '#type' => 'markup',
      '#markup' => $this->t('Are you sure you want to delete this student?'),
    ];

    $form['submit'] = [
      '#type' => 'submit',
      '#value' => $this->t('Delete'),
    ];

    $form['cancel'] = [
      '#type' => 'link',
      '#title' => $this->t('Cancel'),
      '#url' => Url::fromRoute('student_listing.page'),
    ];

    return $form;
  }

  /**
   *
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    \Drupal::database()->delete('student_details')
      ->condition('id', $this->studentId)
      ->execute();

    \Drupal::messenger()->addStatus($this->t('Student record deleted successfully.'));
    $form_state->setRedirect('student_listing.page');
  }

}
